Limit file extensions for the library
April 10, 2021 04:35 - Artem S. Tashkinov

Status: Closed Start date: April 10, 2021
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Affects version: 41

Description

My audio library contains not only audio files, but files without an extension and text files.

Audacious opens them all and of course stumbles and spews an error message whenever it starts to play non-audio files.

It would be great if it was possible to specify the list of allowed extensions, e.g.

mp3;wav;flac;m4a;ogg

History

#1 - April 12, 2021 23:55 - John Lindgren

- Tracker changed from Bug to Feature
#2 - April 12, 2021 23:58 - John Lindgren
- Status changed from New to Closed

- Tracker changed from Feature to Support

Limiting files by extension is already the default setting.

The setting is under Advanced -> Metadata -> Probe content of files with no recognized file name extension. Uncheck that box.
